Bug 496019 - X server stuck in drmCommandWrite
X server stuck in drmCommandWrite
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
10
All Linux
medium Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-15 22:12 EDT by Bojan Smojver
Modified: 2009-12-04 12:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-04 12:58:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X stuck in an infinite loop (186.97 KB, text/plain)
2009-04-15 22:12 EDT, Bojan Smojver
no flags Details

  None (edit)
Description Bojan Smojver 2009-04-15 22:12:04 EDT
Created attachment 339772 [details]
X stuck in an infinite loop

Description of problem:
Intermittently, X locks up. See the attached log for details.

Same SIGALRM/Interrupted system call loop in strace, as in bug #494245. It happens completely intermittently, X locks up and the screen is not released even if I kill it hard. Switching to RL 3 also doesn't help. Please note: I do not remove _any_ devices - it just decides to do this on its own.

One other detail, if it matters. I hibernate/thaw at least once a day and as
you can see from the log, the X server was started 2 days ago, when this last
happened.

Version-Release number of selected component (if applicable):
1.5.3-15.fc10

How reproducible:
Intermittently.

Steps to Reproduce:
1. Not exactly sure. Just using the machine does it.
  
Actual results:
Server hangs.

Expected results:
Used to be OK till about 2 weeks ago.

Additional info:
See log.
Comment 1 Matěj Cepl 2009-04-20 18:05:04 EDT
Yeah, X server doesn't seem to be happy:

Backtrace:
0: /usr/bin/Xorg(xorg_backtrace+0x3b) [0x812be9b]
1: /usr/bin/Xorg(mieqEnqueue+0x289) [0x810b599]
2: /usr/bin/Xorg(xf86PostMotionEventP+0xc2) [0x80d4282]
3: /usr/bin/Xorg(xf86PostMotionEvent+0x68) [0x80d43e8]
4: /usr/lib/xorg/modules/input//evdev_drv.so [0x692d25]
5: /usr/bin/Xorg [0x80bcdd7]
6: /usr/bin/Xorg [0x80ac93e]
7: [0xd8f400]
8: [0xd8f416]
9: /lib/libc.so.6(ioctl+0x19) [0x974979]
10: /usr/lib/libdrm.so.2 [0x36f26cf]
11: /usr/lib/libdrm.so.2(drmCommandWrite+0x34) [0x36f2984]
12: /usr/lib/xorg/modules/drivers//intel_drv.so(I830Sync+0x135) [0x1b7ca5]
13: /usr/lib/xorg/modules/drivers//intel_drv.so [0x1e197a]
14: /usr/lib/xorg/modules//libexa.so(exaWaitSync+0x65) [0x5b1095]
15: /usr/lib/xorg/modules//libexa.so(ExaDoPrepareAccess+0x7e) [0x5b23ae]
16: /usr/lib/xorg/modules//libexa.so [0x5b73b2]
17: /usr/lib/xorg/modules//libexa.so [0x5b7905]
18: /usr/lib/xorg/modules//libexa.so(exaDoMigration+0x652) [0x5b80c2]
19: /usr/lib/xorg/modules//libexa.so(exaCopyNtoN+0x3f1) [0x5b4fd1]
20: /usr/lib/xorg/modules//libexa.so(exaComposite+0x90e) [0x5ba4de]
21: /usr/bin/Xorg [0x816f88a]
22: /usr/bin/Xorg(CompositePicture+0x19a) [0x815831a]
23: /usr/bin/Xorg [0x815e1e5]
24: /usr/bin/Xorg [0x815af05]
25: /usr/bin/Xorg(Dispatch+0x34f) [0x8085ebf]
26: /usr/bin/Xorg(main+0x47d) [0x806b73d]
27: /lib/libc.so.6(__libc_start_main+0xe5) [0x8af6e5]
28: /usr/bin/Xorg [0x806ab21]
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
Comment 2 Mark McLoughlin 2009-04-24 03:13:37 EDT
Looks to be identical to bug #475759
Comment 3 Vedran Miletić 2009-11-05 18:12:28 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, including Intel driver, which may have resolved this issue.
To be more precise, Intel has undergone a major rewrite during Fedora 10, 11 and 12 cycles, and whole driver is working a lot better now. Users who have experienced this problem are encouraged to retry with at least Fedora 12 Beta and see if the issue is still relevant.

Please, if you experience this problem on Fedora 12 Beta or up-to-date system running Rawhide, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

We hope to see how many older bugs in Intel driver are still relevant today, in hope that most of them were fixed in rewrite process.

[This is a bulk message for all open Fedora 10 i810-related bugs (39 of them are still open). I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 4 Bug Zapper 2009-11-18 03:02:28 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Vedran Miletić 2009-12-04 12:58:01 EST
Thank you for your bug report.

We are sorry, but the Fedora Project is will soon stop longer releasing bug fixes or any other updates for this version of Fedora. There were so many changes between Fedora 10 and Fedora 12 in Intel driver and X.Org that it's very likely that this bug is fixed. This bug will be set to CLOSED:WONTFIX to reflect this, but please reopen it if the problem persists after upgrading to the latest version of Fedora (version 12), which is available from:

http://fedoraproject.org/get-fedora

Note You need to log in before you can comment on or make changes to this bug.